Spyder failed to start on Wayland ubuntu

53 views
Skip to first unread message

ronb...@gmail.com

unread,
Jan 17, 2022, 12:37:11 PMJan 17
to spyder
Hello,

I recently switched from X11 to wayland on Ubuntu 20.04.

After setting the environment variable export QT_QPA_PLATFORM=wayland
I am getting the following error:


This application failed to start because it could not find or load the Qt platform plugin "wayland"
in "".

Available platform plugins are: eglfs, minimal, minimalegl, offscreen, vnc, xcb.

Reinstalling the application may fix this problem.
Aborted (core dumped)



This happens with both spyder 4 and spyder 5. I installed spyder with anaconda.
I have qtwayland5 installed.

Other QT5 applications seem to work with wayland.




Carlos Córdoba

unread,
Jan 17, 2022, 12:39:54 PMJan 17
to spyd...@googlegroups.com
Hi,

The Anaconda Qt package doesn't support Wayland. So you need to use the Xorg compatibility layer if possible (I don't know if it is, sorry).


Cheers,
Carlos

El 17/01/22 a las 2:27 a. m., ronb...@gmail.com escribió:
--
You received this message because you are subscribed to the Google Groups "spyder" group.
To unsubscribe from this group and stop receiving emails from it, send an email to spyderlib+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/spyderlib/93af4feb-f733-4739-98f9-b0096775ed3dn%40googlegroups.com.

Reply all
Reply to author
Forward
0 new messages